kabc Library: KABC::AddressLineEdit Class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::AddressLineEdit Class Reference

A lineedit with LDAP and kabc completion. More...

`#include <addresslineedit.h>`

Inheritance diagram for KABC::AddressLineEdit:

[legend]
Collaboration diagram for KABC::AddressLineEdit:

[legend]
List of all members.

## Public Slots
void | cursorAtEnd ()
void | enableCompletion (bool enable)
## Public Member Functions
| AddressLineEdit (QWidget *parent, bool useCompletion=true, const char *name=0L)
virtual void | setFont (const QFont &)
## Static Public Member Functions
static KConfig * | config ()
## Protected Member Functions
virtual void | loadAddresses ()
void | addAddress (const QString &)
virtual void | keyPressEvent (QKeyEvent *)
virtual void | dropEvent (QDropEvent *e)
virtual void | paste ()
virtual void | insert (const QString &t)
virtual void | mouseReleaseEvent (QMouseEvent *e)
void | doCompletion (bool ctrlT)

## Detailed Description

A lineedit with LDAP and kabc completion.

This lineedit is supposed to be used wherever the user types email addresses and might want a completion. You can simply use it as a replacement for KLineEdit or QLineEdit.

You can enable or disable the lineedit at any time.

See also:
  AddressLineEdit::enableCompletion()

Definition at line 50 of file addresslineedit.h.

## Member Function Documentation

void AddressLineEdit::setFont | ( | const QFont & |  | ) | `[virtual]`

| Reimplented for internal reasons. @ see KLineEdit::setFont() Definition at line 147 of file addresslineedit.cpp. References KLineEdit::completionBox().

void AddressLineEdit::cursorAtEnd | ( |  | ) | `[slot]`

| Set cursor to end of line. Reimplemented from KLineEdit. Definition at line 276 of file addresslineedit.cpp. References QLineEdit::setCursorPosition(), and QLineEdit::text().

void AddressLineEdit::enableCompletion | ( | bool | enable | ) | `[slot]`

| Toggle completion. Definition at line 282 of file addresslineedit.cpp.

void AddressLineEdit::loadAddresses | ( |  | ) | `[protected, virtual]`

| Always call AddressLineEdit::loadAddresses() as the first thing. Use addAddress() to add addresses. Definition at line 427 of file addresslineedit.cpp. References KCompletion::clear().

The documentation for this class was generated from the following files:

- addresslineedit.h
- addresslineedit.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:38 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003